/* noteinput.h - GTK+ `NoteInput' Container Widget
 * Copyright (C) 1998 Simon Kgedal
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License in the file COPYING for more details.
 */

#ifndef __NOTEINPUT_H__
#define __NOTEINPUT_H__

#include <gdk/gdk.h>
#include <gtk/gtkeventbox.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define NOTE_INPUT(obj)	\
  GTK_CHECK_CAST (obj, note_input_get_type (), NoteInput)
#define NOTE_INPUT_CLASS(klass) \
  GTK_CHECK_CLASS_CAST (klass, note_input_get_type, NoteInputClass)
#define IS_NOTE_INPUT(obj)	GTK_CHECK_TYPE (obj, note_input_get_type ())

typedef struct _NoteInput 	NoteInput;
typedef struct _NoteInputClass 	NoteInputClass;

struct _NoteInput
{
  GtkEventBox eventbox;

  GTree *key_to_func;
  gint transpose;
  gint keyboard_grab_count;
};

struct _NoteInputClass
{
  GtkEventBoxClass parent_class;

  void (* note_input_press) (NoteInput *noteinput, gint midikey);
  void (* note_input_release) (NoteInput *noteinput, gint midikey);
  void (* note_input_transpose_change) (NoteInput *, gint);
};

GtkType		note_input_get_type (void);
GtkWidget*	note_input_new (void);

gboolean	note_input_read_config (NoteInput *, gchar *);

gint		note_input_get_transpose_base (NoteInput *);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __KEYTONOTE_H__ */
